function [testnonnul,Ix,Iy]=prepar_developee_pol(simpli,rch);

% prepar_developee prpare le trac de courbe paramtre et sa dveloppe en polaire
%
% [testnonnul,Ix,Iy]=prepar_developee_pol(simpli,rch) : 
%  
%	variables d'entres : 
%     * simpli : entier qui gal  un force la simplification (qui ne marche pas toujours)
%     * rch  : une chane de caractre de la forme 'r(theta)' o theta est la seule variable 
%
%	variables de sortie : 
%     * testnonnul : fonction test  une composante qui, nulle, indique que 
%                   les coordonnes du centre de courbure ne sont pas calculables.
%     * Ix et Iy : les coordonnes du centre de courbure dans le repre global (O,i,j)
%                   (en fonction inline)
%
%
% ************ Fonctions auxiliaires utilises ************
%
%     aucune
%
% *********************************************************
%
% (c) 2005 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr

rsy=sym(rch);
rd1sy=diff(rsy);
rd2sy=diff(rd1sy);
Q=(rsy)^2+(rd1sy)^2;
syms theta;
if simpli
   deltaa=simplify(rsy^2+2*(rd1sy)^2-rsy*rd2sy);
   auxiRbis=simplify(Q/deltaa);
   auxiIx=simplify(rsy*cos(theta)+auxiRbis*(-rsy*cos(theta)-rd1sy*sin(theta)));
   auxiIy=simplify(rsy*sin(theta)+auxiRbis*(-rsy*sin(theta)+rd1sy*cos(theta)));
else
   deltaa=rsy^2+2*(rd1sy)^2-rsy*rd2sy;
   auxiRbis=Q/deltaa;
   auxiIx=rsy*cos(theta)+auxiR*(-rsy*cos(theta)-rd1sy*sin(theta));
   auxiIy=rsy*sin(theta)+auxiR*(-rsy*sin(theta)+rd1sy*cos(theta));
end
auxiIx=vectorize(char(auxiIx));
auxiIy=vectorize(char(auxiIy));
Ix=inline(auxiIx,'theta');
Iy=inline(auxiIy,'theta');
testnonnul=vectorize(char(deltaa));
testnonnul=inline(testnonnul,'theta');
